#
# spec file for package pprof
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           pprof
VCS: https://src.suse.de/SLFO-pool/pprof#1d25295e0170f3ae536bef982fa250411d6317c14bc69156fd8f11cd65468b45
Version:        0.0.0+git20220520.d04f242
Release:        160000.1.18
Summary:        CLI tool for visualization and analysis of profiling data
License:        Apache-2.0
Group:          Development/Languages/Other
URL:            https://github.com/google/pprof
Source0:        %{name}-%{version}.tar.gz
Source1:        vendor.tar.gz
BuildRequires:  golang(API) >= 1.14

%description
pprof reads a collection of profiling samples in profile.proto format and generates reports to visualize and help analyze the data.
It can generate both text and graphical reports (through the use of the dot visualization package).

%prep
%autosetup -a1

%build
go build

%install
install -Dm0755 %{name} %{buildroot}%{_bindir}/%{name}

%files
%doc README.md CONTRIBUTORS CONTRIBUTING.md AUTHORS
%license LICENSE
%{_bindir}/%{name}

%changelog
* Sun Jul 10 2022 gmbr3@opensuse.org
- Update to version 0.0.0+git20220520.d04f242:
  * Make config menu entries relative.
  * Made flamegraph test less brittle.
  * all: update dependencies
  * Generalize the unit support in pprof a bit further.
  * Split monolithic webhtml.go into multiple files.
  * Update minimum Go version to 1.17 in go.mod.
  * Fix doc comments format to become compatible with tip gofmt.
  * allow rendering big flame graphs by avoiding stack overflow in JS parser
  * Fix tagroot to properly format unitless numeric tags.
  * Add Go 1.18 to testing, remove Go 1.16.
  * third_party: fix typo
  * internal/graph: Support comments with double quotes
  * Handle either _text or _stext as the kernel relocation symbol.
  * Parse and propagate the name of the kernel relocation symbol
  * doc: clarify graph view docs to note negative values appear in profile comparison
  * internal/elfexec: Fix typos in elfexec.go
  * Log build ID in local symbolization error messages.
  * Update d3-flame-graph from 2.0.0-alpha to 4.1.3
  * Add badge link to Go API docs in pkg.go.dev
  * Update instructions to use "git clone" instead of "go get".
  * proto/profile.proto: fix typo
  * Update mapassign regex to match both call variants
* Tue Mar 23 2021 gmbr3@opensuse.org
- Use single %%doc
- Don't use if for %%license
- Don't %%check there are no tests
* Tue Mar 23 2021 jengelh@inai.de
- Fix double %%setup.
* Thu Mar 18 2021 gmbr3@opensuse.org
- Initial packaging 0.0.20210226
